Add regress test for the bug from r605.
[oweals/opkg-lede.git] / tests / regress / issue31.py
1 #!/usr/bin/python3
2
3 import os
4 import opk, cfg, opkgcl
5
6 opk.regress_init()
7
8 o = opk.OpkGroup()
9 o.add(Package="a", Version="1.0", Architecture="all", Depends="b")
10 o.add(Package="b", Version="1.0", Architecture="all", Depends="c")
11 o.write_opk()
12 o.write_list()
13
14 opkgcl.update()
15
16 opkgcl.install("a")
17 if opkgcl.is_installed("a"):
18         print(__file__, ": Package 'a' installed, despite dependency "
19                         "upon a package with an unresolved dependency.")
20         exit(False)
21
22 if opkgcl.is_installed("b"):
23         print(__file__, ": Package 'b' installed, "
24                         "despite unresolved dependency.")
25         exit(False)